Skip to main content

List all LDAP configuration

Using this API, LDAP configurations will be fetched based on the parameters provided in the request.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

GET https://{tenantId}.{hostname}/digitanium/v4/ldap?parent={tenantId}&type=org.keycloak.storage.UserStorageProvider

HTTP request URL for SHIFT​

GET https://{hostname}/auth/realms/{tenantId}/v3_ldap/components?parent={tenantId}&type=org.keycloak.storage.UserStorageProvider
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

Field NameTypeDescription
parentStringParent name of the component (Query Parameter)
typeStringType of the component (Query Parameter)
nameStringName of the component (Query Parameter)
info

If all the parameters are null then it will list all the LDAP configurations.

Request Body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.
dataListList of LDAP components available for the provided ComponentID.

Sample Response​

{
"message": "Success",
"status": "OK",
"subSystem": 9,
"data": [
{
"id": "006f966f-7c76-49df-8b0e-ab6a47cc980b",
"name": "last name",
"providerId": "user-attribute-ldap-mapper",
"providerType": "org.keycloak.storage.ldap.mappers.LDAPStorageMapper",
"parentId": "f0d4b2c8-4243-4189-a394-c6bc6bfd6d2a",
"config": {
"ldap.attribute": [
"sn"
],
"is.mandatory.in.ldap": [
"true"
],
"always.read.value.from.ldap": [
"true"
],
"read.only": [
"false"
],
"user.model.attribute": [
"lastName"
]
}
},
{
"id": "3350d926-8da7-405c-8b67-678d76bc5d60",
"name": "rsa-generated",
"providerId": "rsa-generated",
"providerType": "org.keycloak.keys.KeyProvider",
"parentId": "demokc",
"config": {
"priority": [
"100"
]
}
},
{
"id": "fd1616a0-08a1-4ca2-9886-caa7c9650f97",
"name": "email",
"providerId": "user-attribute-ldap-mapper",
"providerType": "org.keycloak.storage.ldap.mappers.LDAPStorageMapper",
"parentId": "ldap-config-id3",
"config": {
"ldap.attribute": [
"mail"
],
"is.mandatory.in.ldap": [
"false"
],
"read.only": [
"false"
],
"always.read.value.from.ldap": [
"false"
],
"user.model.attribute": [
"email"
]
}
},
{
"id": "b9471ddd-b169-400c-9f1e-a27df7a0d0b4",
"name": "Max Clients Limit",
"providerId": "max-clients",
"providerType": "org.keycloak.services.clientregistration.policy.ClientRegistrationPolicy",
"parentId": "demokc",
"subType": "anonymous",
"config": {
"max-clients": [
"200"
]
}
}
]
}

Response Status Information​

Status CodeStatusMessage
200OKSuccess
401UnauthorizedHTTP 401 Unauthorized